Package org.apache.felix.configurator.impl.model

## Class State

- java.lang.Object
- - org.apache.felix.configurator.impl.model.AbstractState
  - - org.apache.felix.configurator.impl.model.State

All Implemented Interfaces:
  `Serializable`

    public class State
    extends AbstractState
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FILE_NAME`

### Constructor Summary

Constructors
`State()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addAll​(String pid, ConfigList configs)` Add all configurations for a pid
`void` `checkEnvironments​(long bundleId)` Mark all configurations from that bundle as changed to reprocess them
`static State` `createOrReadState​(File f)`
`Set<Long>` `getBundleIdsUsingConfigAdmin()`
`Long` `getConfigAdminBundleId​(long bundleId)`
`Set<String>` `getInitialHashes()`
`Set<Long>` `getKnownBundleIds()`
`Long` `getLastModified​(long bundleId)`
`void` `removeConfigAdminBundleId​(long bundleId)`
`void` `removeLastModified​(long bundleId)`
`void` `setConfigAdminBundleId​(long bundleId, long lastModified)`
`void` `setInitialHashes​(Set<String> value)`
`void` `setLastModified​(long bundleId, long lastModified)`
`String` `toString()`
`static void` `writeState​(File f, State state)`

### Methods inherited from class org.apache.felix.configurator.impl.model.AbstractState

`add, getConfigurations, getConfigurations, getPids`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FILE_NAME

    public static final String FILE_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### State

    public State()

### Method Detail

#### createOrReadState

    public static State createOrReadState​(File f)
                                   throws ClassNotFoundException,
                                          IOException

Throws:
  `ClassNotFoundException`
  `IOException`

#### writeState

    public static void writeState​(File f,
                                  State state)
                           throws IOException

Throws:
  `IOException`

#### getLastModified

    public Long getLastModified​(long bundleId)

#### setLastModified

    public void setLastModified​(long bundleId,
                                long lastModified)

#### removeLastModified

    public void removeLastModified​(long bundleId)

#### getConfigAdminBundleId

    public Long getConfigAdminBundleId​(long bundleId)

#### setConfigAdminBundleId

    public void setConfigAdminBundleId​(long bundleId,
                                       long lastModified)

#### removeConfigAdminBundleId

    public void removeConfigAdminBundleId​(long bundleId)

#### getKnownBundleIds

    public Set<Long> getKnownBundleIds()

#### getInitialHashes

    public Set<String> getInitialHashes()

#### setInitialHashes

    public void setInitialHashes​(Set<String> value)

#### addAll

    public void addAll​(String pid,
                       ConfigList configs)

Add all configurations for a pid

Parameters:
  `pid` - The pid
  `configs` - The list of configurations

#### checkEnvironments

    public void checkEnvironments​(long bundleId)

Mark all configurations from that bundle as changed to reprocess them

Parameters:
  `bundleId` - The bundle id

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getBundleIdsUsingConfigAdmin

    public Set<Long> getBundleIdsUsingConfigAdmin()